Deletes a chat agent. Its response engine is not deleted.
Request#
Path parameters#
| Parameter | Type | Required | Description |
|---|---|---|---|
chat_agent_id |
string | Yes | The chat agent. |
Example request#
curl -X DELETE "https://api.tried.com.au/delete-chat-agent/chat_agent_6a7b8c9d0e1f2a3b4c5d6e7f" \
-H "Authorization: Bearer $TRIED_API_KEY"const res = await fetch("https://api.tried.com.au/delete-chat-agent/chat_agent_6a7b8c9d0e1f2a3b4c5d6e7f", {
method: "DELETE",
headers: { Authorization: `Bearer ${process.env.TRIED_API_KEY}` },
});
console.log(res.status); // 204import os, requests
res = requests.delete(
"https://api.tried.com.au/delete-chat-agent/chat_agent_6a7b8c9d0e1f2a3b4c5d6e7f",
headers={"Authorization": f"Bearer {os.environ['TRIED_API_KEY']}"},
)
print(res.status_code)Response#
204 No Content.
Errors#
| Status | When |
|---|---|
401 |
Missing or invalid API key. |
403 |
The key's IP allowlist or scopes reject the request. This route needs the calls scope. |
404 |
The chat agent does not exist (Chat agent not found). |
429 |
Rate limit exceeded. See Rate limits. |
See Errors for the body format.